package eksempel.helper;

import java.io.BufferedReader;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.nio.charset.StandardCharsets;

public class FileHelper {

    public static String readTextFile(String fullPathFilename) throws IOException {
        StringBuilder sb = new StringBuilder(1024);
        BufferedReader reader = new BufferedReader(new InputStreamReader(new FileInputStream(fullPathFilename), StandardCharsets.UTF_8));

        String line;
        while ((line = reader.readLine()) != null) {
            if (sb.length() != 0) {
                sb.append(System.getProperty("line.separator"));
            }
            sb.append(line);
        }
        reader.close();
        return sb.toString();
    }
}
